package com.sunxung.factoring.entity.creditresolution;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 指导性单笔业务满足条件
 * </p>
 *
 * @author liutao
 * @since 2023-12-21
 */
@TableName("business_meets_conditions")
public class BusinessMeetsConditions{

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 授信决议id
     */
    @TableField("credit_resolution_id")
    private Long creditResolutionId;

    /**
     * 条件内容
     */
    @TableField("content")
    private String content;

    public Long getCreditResolutionId() {
        return creditResolutionId;
    }

    public void setCreditResolutionId(Long creditResolutionId) {
        this.creditResolutionId = creditResolutionId;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "BusinessMeetsConditions{" +
            "creditResolutionId=" + creditResolutionId +
            ", content=" + content +
        "}";
    }
}
